import { ConfigService } from '@nestjs/config';
import { Test, TestingModule } from '@nestjs/testing';
import { DefaultParamsProvider } from '../../adapters/secondaries/default-params.provider';
import { IDefaultParams } from '../../domain/types/default-params.type';

const mockConfigService = {
  get: jest.fn().mockImplementationOnce(() => 99),
};

describe('DefaultParamsProvider', () => {
  let defaultParamsProvider: DefaultParamsProvider;

  beforeAll(async () => {
    const module: TestingModule = await Test.createTestingModule({
      imports: [],
      providers: [
        DefaultParamsProvider,
        {
          provide: ConfigService,
          useValue: mockConfigService,
        },
      ],
    }).compile();

    defaultParamsProvider = module.get<DefaultParamsProvider>(
      DefaultParamsProvider,
    );
  });

  it('should be defined', () => {
    expect(defaultParamsProvider).toBeDefined();
  });

  it('should provide default params', async () => {
    const params: IDefaultParams = defaultParamsProvider.getParams();
    expect(params.DEFAULT_IDENTIFIER).toBe(99);
  });
});
