import { GeorouterCreator } from '../../adapters/secondaries/georouter-creator';
import { GraphhopperGeorouter } from '../../adapters/secondaries/graphhopper-georouter';

describe('Georouter creator', () => {
  it('should be defined', () => {
    const georouterCreator: GeorouterCreator = new GeorouterCreator();
    expect(georouterCreator).toBeDefined();
  });
  it('should create a graphhopper georouter', () => {
    const georouterCreator: GeorouterCreator = new GeorouterCreator();
    const georouter = georouterCreator.create(
      'graphhopper',
      'http://localhost',
    );
    expect(georouter).toBeInstanceOf(GraphhopperGeorouter);
  });
  it('should throw an exception if georouter type is unknown', () => {
    const georouterCreator: GeorouterCreator = new GeorouterCreator();
    expect(() =>
      georouterCreator.create('unknown', 'http://localhost'),
    ).toThrow();
  });
});
